function start_engiums_quest_part_two()

if (have_not_vegetations_all_from_list("engimus_1; engimus_2; engimus_3", 1, g_game)) then
print("have_not_vegetations_all_from_list")
	if (have_empty_ridge(g_game)) then
		print("have_empty_ridge")
		start_dialog_path_action("have_empty_ridge", "location_1", "etap_7", g_game, "town_screen");
	end
	
    if (have_empty_ridge(g_game) ~= true) then
        print("have_not_empty_ridge")
		start_dialog_path_action("have_not_empty_ridge", "location_1", "etap_7", g_game, "town_screen");
	end
end

end